------------------------------------------------------------------------
r13433 | vlefevre | 2019-01-31 20:33:50 +0000 (Thu, 31 Jan 2019) | 2 lines
Changed paths:
   M /branches/4.0/NEWS

[NEWS] Put the "Option -pedantic is now always removed [...]" line
at the right place (4.0.2, not 4.0.1: r13422 was wrong).
------------------------------------------------------------------------
r13432 | vlefevre | 2019-01-31 20:29:48 +0000 (Thu, 31 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/VERSION
   M /branches/4.0/configure.ac
   M /branches/4.0/doc/mpfr.texi
   M /branches/4.0/src/mpfr.h
   M /branches/4.0/src/version.c

Updated version to 4.0.2.
------------------------------------------------------------------------
r13431 | vlefevre | 2019-01-31 15:59:16 +0000 (Thu, 31 Jan 2019) | 3 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/src/Makefile.am

[src/Makefile.am] In check-exported-symbols, replaced grep by $(GREP)
as usual and like in check-gmp-symbols.
(merged changeset 13429 from the trunk)
------------------------------------------------------------------------
r13424 | vlefevre | 2019-01-30 12:45:13 +0000 (Wed, 30 Jan 2019) | 2 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/configure.ac

[configure.ac] Updated comment about default options in CFLAGS for GCC.
(merged changeset r13423 from the trunk)
------------------------------------------------------------------------
r13422 | vlefevre | 2019-01-30 09:26:44 +0000 (Wed, 30 Jan 2019) | 8 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/INSTALL
   M /branches/4.0/NEWS
   M /branches/4.0/configure.ac

Update about CC / CFLAGS settings from GMP (__GMP_CC / __GMP_CFLAGS).
  * configure.ac: remove -pedantic unconditionally; since r7044, it was
    removed only when logging was enabled, as at that time only logging
    was using C extensions.
  * NEWS: added a line about this change.
  * INSTALL: updated the note about CC / CFLAGS, removing the obsolete
    reference to GMP 4.3.0 at the same time.
(merged changeset r13421 from the trunk)
------------------------------------------------------------------------
r13418 | vlefevre | 2019-01-27 23:08:51 +0000 (Sun, 27 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC0 svn log -rHEAD:0 -v".
------------------------------------------------------------------------
r13417 | vlefevre | 2019-01-27 23:01:21 +0000 (Sun, 27 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/VERSION
   M /branches/4.0/configure.ac
   M /branches/4.0/doc/mpfr.texi
   M /branches/4.0/src/mpfr.h
   M /branches/4.0/src/version.c

Updated version to 4.0.2-rc2.
------------------------------------------------------------------------
r13416 | vlefevre | 2019-01-27 18:30:16 +0000 (Sun, 27 Jan 2019) | 38 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/NEWS
   M /branches/4.0/acinclude.m4
   M /branches/4.0/configure.ac
   M /branches/4.0/src/mpfr-impl.h
   M /branches/4.0/src/mpfr-thread.h
   M /branches/4.0/tests
   M /branches/4.0/tests/tversion.c

Shared cache: cleanup and various improvements / corrections.
  * acinclude.m4:
      - test $enable_shared_cache instead of $mpfr_want_shared_cache;
      - check ISO C11 thread support and/or POSIX thread support
        only when necessary;
      - when checking support for POSIX threads (pthread), also check
        that pthread_rwlock_t is supported, as it is needed by MPFR
        and conditionally defined in glibc's bits/pthreadtypes.h (via
        <pthread.h>);
      - with POSIX threads, also set CC="$PTHREAD_CC" as documented by
        ax_pthread (autoconf-archive). This is not guaranteed to work,
        but according to the ax_pthread.m4 source, in the cases where
        "$PTHREAD_CC" != "$CC", not setting it will probably not work
        either;
      - handle --enable-shared-cache early in MPFR_CONFIGS, because
        the use of POSIX threads (pthread) may need to change CC,
        CFLAGS, and LIBS (thus affecting other tests);
      - removed the now useless MPFR_CHECK_SHARED_CACHE function.
  * configure.ac: no longer set the mpfr_want_shared_cache variable,
    as enable_shared_cache (now used) already has the same usage.
  * acinclude.m4, configure.ac: moved the compatibility test of the
    configure options even earlier, from acinclude.m4 to configure.ac,
    just after the code that defines them. Also added an associated
    AC_MSG_CHECKING message for better clarity.
  * src/mpfr-impl.h: added a comment about the cache-related types,
    which depend on the locking methods.
  * src/mpfr-thread.h: fixed the lock macros:
      - in case of failure, one must abort, otherwise this would
        generally be undefined behavior;
      - added missing "do {} while (0)" (currently not mandatory).
  * tests/tversion.c: update concerning the shared cache, to be
    consistent with the other mpfr_buildopt_*_p features:
      - check that mpfr_buildopt_sharedcache_p() and
        MPFR_WANT_SHARED_CACHE match;
      - for the output of the value, test mpfr_buildopt_sharedcache_p()
        instead of the macro.
  * NEWS: update.
(merged changesets r13032,13390-13396,13410,13412 from the trunk)
------------------------------------------------------------------------
r13409 | vlefevre | 2019-01-25 02:00:06 +0000 (Fri, 25 Jan 2019) | 6 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/acinclude.m4
   M /branches/4.0/configure.ac
   M /branches/4.0/tests
   M /branches/4.0/tests/trint.c

[configure.ac] By default (i.e. if CFLAGS is not already set), if
the compiler is GCC not in C++ mode, add the -Wc++-compat warning
since we expect the code to compile with a C++ compiler.
[acinclude.m4,tests/trint.c] Fixed C++ compatibility issues detected
thanks to this option used with -Werror.
(merged changesets r13406-13408 from the trunk)
------------------------------------------------------------------------
r13402 | vlefevre | 2019-01-13 15:39:13 +0000 (Sun, 13 Jan 2019) | 2 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/tests
   M /branches/4.0/tests/tcheck.c

[tests/tcheck.c] Corrected meaningless error message.
(merged changeset r13401 from the trunk)
------------------------------------------------------------------------
r13400 | vlefevre | 2019-01-13 01:15:11 +0000 (Sun, 13 Jan 2019) | 3 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/tests
   M /branches/4.0/tests/tversion.c

[tests/tversion.c] Decimal formats: output the encoding type (DPD/BID).
(merged changeset r12776 from the trunk, and as a consequence,
completed the merge of r13003)
------------------------------------------------------------------------
r13399 | vlefevre | 2019-01-13 00:17:11 +0000 (Sun, 13 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/VERSION
   M /branches/4.0/configure.ac
   M /branches/4.0/doc/mpfr.texi
   M /branches/4.0/src/mpfr.h
   M /branches/4.0/src/version.c

Updated version to 4.0.2-dev.
------------------------------------------------------------------------
r13398 | vlefevre | 2019-01-13 00:15:31 +0000 (Sun, 13 Jan 2019) | 3 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/doc/mpfr.texi

[doc/mpfr.texi] Minor correction for non-tex versions.
Thanks to Trevor Spiteri for the bug report.
(merged changeset r13397 from the trunk)
------------------------------------------------------------------------
r13387 | vlefevre | 2019-01-08 13:43:12 +0000 (Tue, 08 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC0 svn log -rHEAD:0 -v".
------------------------------------------------------------------------
r13386 | vlefevre | 2019-01-08 13:30:18 +0000 (Tue, 08 Jan 2019) | 3 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/tests
   M /branches/4.0/tests/tstrtofr.c

[tests/tstrtofr.c] Updated comment about GCC bug 86554: now fixed in
the GCC trunk.
(merged changeset r13385 from the trunk)
------------------------------------------------------------------------
r13384 | vlefevre | 2019-01-07 16:11:57 +0000 (Mon, 07 Jan 2019) | 3 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/tests
   M /branches/4.0/tests/Makefile.am

[tests/Makefile.am] Replaced "env -u DISPLAY" by "env DISPLAY=''" as
the -u option is not supported by NetBSD.
(merged changeset r13383 from the trunk)
------------------------------------------------------------------------
r13382 | vlefevre | 2019-01-07 15:22:38 +0000 (Mon, 07 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC0 svn log -rHEAD:0 -v".
------------------------------------------------------------------------
r13381 | vlefevre | 2019-01-07 15:17:51 +0000 (Mon, 07 Jan 2019) | 4 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/COPYING
   M /branches/4.0/COPYING.LESSER

Updated files:
  * COPYING from https://www.gnu.org/licenses/gpl-3.0.txt
  * COPYING.LESSER from https://www.gnu.org/licenses/lgpl-3.0.txt
These are URL updates and cosmetic changes.
------------------------------------------------------------------------
r13379 | vlefevre | 2019-01-07 14:32:20 +0000 (Mon, 07 Jan 2019) | 4 lines
Changed paths:
   M /branches/4.0/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC0 svn log -rHEAD:0 -v".
Note: For r5400, this changes an incorrect update done via r13373 back
to the old log message, as the URL in this log message here describes
a change in one of the files.
------------------------------------------------------------------------
r13377 | vlefevre | 2019-01-07 14:06:05 +0000 (Mon, 07 Jan 2019) | 2 lines
Changed paths:
   M /branches/4.0
   M /branches/4.0/doc/README.dev

[doc/README.dev] Updated some URL's (http → https).
(merged changeset r13376 from the trunk)
------------------------------------------------------------------------
r13375 | vlefevre | 2019-01-07 13:57:16 +0000 (Mon, 07 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/doc/texinfo.tex

[doc/texinfo.tex] Update to 2018-02-12.17 with "autoreconf -i -f".
------------------------------------------------------------------------
r13373 | vlefevre | 2019-01-07 13:53:20 +0000 (Mon, 07 Jan 2019) | 3 lines
Changed paths:
   M /branches/4.0/BUGS
   M /branches/4.0/COPYING
   M /branches/4.0/ChangeLog
   M /branches/4.0/INSTALL
   M /branches/4.0/NEWS
   M /branches/4.0/README
   M /branches/4.0/TODO
   M /branches/4.0/acinclude.m4
   M /branches/4.0/configure.ac
   M /branches/4.0/doc/FAQ.html
   M /branches/4.0/doc/README.dev
   M /branches/4.0/doc/faq.xsl
   M /branches/4.0/doc/fdl.texi
   M /branches/4.0/examples/can_round.c
   M /branches/4.0/examples/divworst.c
   M /branches/4.0/examples/rndo-add.c
   M /branches/4.0/examples/sample.c
   M /branches/4.0/examples/version.c
   M /branches/4.0/src/abort_prec_max.c
   M /branches/4.0/src/acos.c
   M /branches/4.0/src/acosh.c
   M /branches/4.0/src/add.c
   M /branches/4.0/src/add1.c
   M /branches/4.0/src/add1sp.c
   M /branches/4.0/src/add_d.c
   M /branches/4.0/src/add_ui.c
   M /branches/4.0/src/agm.c
   M /branches/4.0/src/ai.c
   M /branches/4.0/src/amd/amdfam10/mparam.h
   M /branches/4.0/src/amd/athlon/mparam.h
   M /branches/4.0/src/amd/k8/mparam.h
   M /branches/4.0/src/arm/mparam.h
   M /branches/4.0/src/asin.c
   M /branches/4.0/src/asinh.c
   M /branches/4.0/src/atan.c
   M /branches/4.0/src/atan2.c
   M /branches/4.0/src/atanh.c
   M /branches/4.0/src/bernoulli.c
   M /branches/4.0/src/beta.c
   M /branches/4.0/src/buildopt.c
   M /branches/4.0/src/cache.c
   M /branches/4.0/src/cbrt.c
   M /branches/4.0/src/check.c
   M /branches/4.0/src/clear.c
   M /branches/4.0/src/clears.c
   M /branches/4.0/src/cmp.c
   M /branches/4.0/src/cmp2.c
   M /branches/4.0/src/cmp_abs.c
   M /branches/4.0/src/cmp_d.c
   M /branches/4.0/src/cmp_ld.c
   M /branches/4.0/src/cmp_si.c
   M /branches/4.0/src/cmp_ui.c
   M /branches/4.0/src/comparisons.c
   M /branches/4.0/src/const_catalan.c
   M /branches/4.0/src/const_euler.c
   M /branches/4.0/src/const_log2.c
   M /branches/4.0/src/const_pi.c
   M /branches/4.0/src/constant.c
   M /branches/4.0/src/copysign.c
   M /branches/4.0/src/cos.c
   M /branches/4.0/src/cosh.c
   M /branches/4.0/src/cot.c
   M /branches/4.0/src/coth.c
   M /branches/4.0/src/csc.c
   M /branches/4.0/src/csch.c
   M /branches/4.0/src/d_div.c
   M /branches/4.0/src/d_sub.c
   M /branches/4.0/src/digamma.c
   M /branches/4.0/src/dim.c
   M /branches/4.0/src/div.c
   M /branches/4.0/src/div_2exp.c
   M /branches/4.0/src/div_2si.c
   M /branches/4.0/src/div_2ui.c
   M /branches/4.0/src/div_d.c
   M /branches/4.0/src/div_ui.c
   M /branches/4.0/src/dump.c
   M /branches/4.0/src/eint.c
   M /branches/4.0/src/eq.c
   M /branches/4.0/src/erandom.c
   M /branches/4.0/src/erf.c
   M /branches/4.0/src/erfc.c
   M /branches/4.0/src/exceptions.c
   M /branches/4.0/src/exp.c
   M /branches/4.0/src/exp10.c
   M /branches/4.0/src/exp2.c
   M /branches/4.0/src/exp3.c
   M /branches/4.0/src/exp_2.c
   M /branches/4.0/src/expm1.c
   M /branches/4.0/src/extract.c
   M /branches/4.0/src/factorial.c
   M /branches/4.0/src/fits_intmax.c
   M /branches/4.0/src/fits_s.h
   M /branches/4.0/src/fits_sint.c
   M /branches/4.0/src/fits_slong.c
   M /branches/4.0/src/fits_sshort.c
   M /branches/4.0/src/fits_u.h
   M /branches/4.0/src/fits_uint.c
   M /branches/4.0/src/fits_uintmax.c
   M /branches/4.0/src/fits_ulong.c
   M /branches/4.0/src/fits_ushort.c
   M /branches/4.0/src/fma.c
   M /branches/4.0/src/fmma.c
   M /branches/4.0/src/fms.c
   M /branches/4.0/src/fpif.c
   M /branches/4.0/src/frac.c
   M /branches/4.0/src/free_cache.c
   M /branches/4.0/src/frexp.c
   M /branches/4.0/src/gamma.c
   M /branches/4.0/src/gamma_inc.c
   M /branches/4.0/src/gammaonethird.c
   M /branches/4.0/src/gen_inverse.h
   M /branches/4.0/src/generic/coverage/mparam.h
   M /branches/4.0/src/generic/mparam.h
   M /branches/4.0/src/get_d.c
   M /branches/4.0/src/get_d64.c
   M /branches/4.0/src/get_exp.c
   M /branches/4.0/src/get_f.c
   M /branches/4.0/src/get_float128.c
   M /branches/4.0/src/get_flt.c
   M /branches/4.0/src/get_ld.c
   M /branches/4.0/src/get_q.c
   M /branches/4.0/src/get_si.c
   M /branches/4.0/src/get_sj.c
   M /branches/4.0/src/get_str.c
   M /branches/4.0/src/get_ui.c
   M /branches/4.0/src/get_uj.c
   M /branches/4.0/src/get_z.c
   M /branches/4.0/src/get_z_exp.c
   M /branches/4.0/src/gmp_op.c
   M /branches/4.0/src/grandom.c
   M /branches/4.0/src/hppa/mparam.h
   M /branches/4.0/src/hypot.c
   M /branches/4.0/src/ia64/mparam.h
   M /branches/4.0/src/ieee_floats.h
   M /branches/4.0/src/init.c
   M /branches/4.0/src/init2.c
   M /branches/4.0/src/inits.c
   M /branches/4.0/src/inits2.c
   M /branches/4.0/src/inp_str.c
   M /branches/4.0/src/int_ceil_log2.c
   M /branches/4.0/src/invert_limb.h
   M /branches/4.0/src/invsqrt_limb.h
   M /branches/4.0/src/isinf.c
   M /branches/4.0/src/isinteger.c
   M /branches/4.0/src/isnan.c
   M /branches/4.0/src/isnum.c
   M /branches/4.0/src/isqrt.c
   M /branches/4.0/src/isregular.c
   M /branches/4.0/src/iszero.c
   M /branches/4.0/src/jn.c
   M /branches/4.0/src/jyn_asympt.c
   M /branches/4.0/src/li2.c
   M /branches/4.0/src/lngamma.c
   M /branches/4.0/src/log.c
   M /branches/4.0/src/log10.c
   M /branches/4.0/src/log1p.c
   M /branches/4.0/src/log2.c
   M /branches/4.0/src/log_ui.c
   M /branches/4.0/src/logging.c
   M /branches/4.0/src/min_prec.c
   M /branches/4.0/src/minmax.c
   M /branches/4.0/src/mips/mparam.h
   M /branches/4.0/src/modf.c
   M /branches/4.0/src/mp_clz_tab.c
   M /branches/4.0/src/mparam_h.in
   M /branches/4.0/src/mpf2mpfr.h
   M /branches/4.0/src/mpfr-cvers.h
   M /branches/4.0/src/mpfr-gmp.c
   M /branches/4.0/src/mpfr-gmp.h
   M /branches/4.0/src/mpfr-impl.h
   M /branches/4.0/src/mpfr-intmax.h
   M /branches/4.0/src/mpfr-longlong.h
   M /branches/4.0/src/mpfr-mini-gmp.c
   M /branches/4.0/src/mpfr-mini-gmp.h
   M /branches/4.0/src/mpfr-sassert.h
   M /branches/4.0/src/mpfr-thread.h
   M /branches/4.0/src/mpfr.h
   M /branches/4.0/src/mpn_exp.c
   M /branches/4.0/src/mul.c
   M /branches/4.0/src/mul_2exp.c
   M /branches/4.0/src/mul_2si.c
   M /branches/4.0/src/mul_2ui.c
   M /branches/4.0/src/mul_d.c
   M /branches/4.0/src/mul_ui.c
   M /branches/4.0/src/mulders.c
   M /branches/4.0/src/neg.c
   M /branches/4.0/src/next.c
   M /branches/4.0/src/nrandom.c
   M /branches/4.0/src/odd_p.c
   M /branches/4.0/src/out_str.c
   M /branches/4.0/src/pool.c
   M /branches/4.0/src/pow.c
   M /branches/4.0/src/pow_si.c
   M /branches/4.0/src/pow_ui.c
   M /branches/4.0/src/pow_z.c
   M /branches/4.0/src/powerof2.c
   M /branches/4.0/src/powerpc32/mparam.h
   M /branches/4.0/src/powerpc64/mparam.h
   M /branches/4.0/src/print_raw.c
   M /branches/4.0/src/print_rnd_mode.c
   M /branches/4.0/src/printf.c
   M /branches/4.0/src/random_deviate.c
   M /branches/4.0/src/random_deviate.h
   M /branches/4.0/src/rec_sqrt.c
   M /branches/4.0/src/reldiff.c
   M /branches/4.0/src/rem1.c
   M /branches/4.0/src/rint.c
   M /branches/4.0/src/rndna.c
   M /branches/4.0/src/root.c
   M /branches/4.0/src/round_near_x.c
   M /branches/4.0/src/round_p.c
   M /branches/4.0/src/round_prec.c
   M /branches/4.0/src/round_raw_generic.c
   M /branches/4.0/src/scale2.c
   M /branches/4.0/src/sec.c
   M /branches/4.0/src/sech.c
   M /branches/4.0/src/set.c
   M /branches/4.0/src/set_d.c
   M /branches/4.0/src/set_d64.c
   M /branches/4.0/src/set_dfl_prec.c
   M /branches/4.0/src/set_exp.c
   M /branches/4.0/src/set_f.c
   M /branches/4.0/src/set_float128.c
   M /branches/4.0/src/set_flt.c
   M /branches/4.0/src/set_inf.c
   M /branches/4.0/src/set_ld.c
   M /branches/4.0/src/set_nan.c
   M /branches/4.0/src/set_prc_raw.c
   M /branches/4.0/src/set_prec.c
   M /branches/4.0/src/set_q.c
   M /branches/4.0/src/set_rnd.c
   M /branches/4.0/src/set_si.c
   M /branches/4.0/src/set_si_2exp.c
   M /branches/4.0/src/set_sj.c
   M /branches/4.0/src/set_str.c
   M /branches/4.0/src/set_str_raw.c
   M /branches/4.0/src/set_ui.c
   M /branches/4.0/src/set_ui_2exp.c
   M /branches/4.0/src/set_uj.c
   M /branches/4.0/src/set_z.c
   M /branches/4.0/src/set_z_exp.c
   M /branches/4.0/src/set_zero.c
   M /branches/4.0/src/setmax.c
   M /branches/4.0/src/setmin.c
   M /branches/4.0/src/setsign.c
   M /branches/4.0/src/sgn.c
   M /branches/4.0/src/si_op.c
   M /branches/4.0/src/signbit.c
   M /branches/4.0/src/sin.c
   M /branches/4.0/src/sin_cos.c
   M /branches/4.0/src/sinh.c
   M /branches/4.0/src/sinh_cosh.c
   M /branches/4.0/src/sparc64/mparam.h
   M /branches/4.0/src/sqr.c
   M /branches/4.0/src/sqrt.c
   M /branches/4.0/src/sqrt_ui.c
   M /branches/4.0/src/stack_interface.c
   M /branches/4.0/src/strtofr.c
   M /branches/4.0/src/sub.c
   M /branches/4.0/src/sub1.c
   M /branches/4.0/src/sub1sp.c
   M /branches/4.0/src/sub_d.c
   M /branches/4.0/src/sub_ui.c
   M /branches/4.0/src/subnormal.c
   M /branches/4.0/src/sum.c
   M /branches/4.0/src/swap.c
   M /branches/4.0/src/tan.c
   M /branches/4.0/src/tanh.c
   M /branches/4.0/src/ubf.c
   M /branches/4.0/src/uceil_exp2.c
   M /branches/4.0/src/uceil_log2.c
   M /branches/4.0/src/ufloor_log2.c
   M /branches/4.0/src/ui_div.c
   M /branches/4.0/src/ui_pow.c
   M /branches/4.0/src/ui_pow_ui.c
   M /branches/4.0/src/ui_sub.c
   M /branches/4.0/src/urandom.c
   M /branches/4.0/src/urandomb.c
   M /branches/4.0/src/vasprintf.c
   M /branches/4.0/src/version.c
   M /branches/4.0/src/volatile.c
   M /branches/4.0/src/x86/core2/mparam.h
   M /branches/4.0/src/x86/mparam.h
   M /branches/4.0/src/x86_64/core2/mparam.h
   M /branches/4.0/src/x86_64/corei5/mparam.h
   M /branches/4.0/src/x86_64/pentium4/mparam.h
   M /branches/4.0/src/yn.c
   M /branches/4.0/src/zeta.c
   M /branches/4.0/src/zeta_ui.c
   M /branches/4.0/tests/Makefile.am
   M /branches/4.0/tests/cmp_str.c
   M /branches/4.0/tests/data/digamma
   M /branches/4.0/tests/data/li2
   M /branches/4.0/tests/memory.c
   M /branches/4.0/tests/mpf_compat.c
   M /branches/4.0/tests/mpf_compat.h
   M /branches/4.0/tests/mpfr-test.h
   M /branches/4.0/tests/mpfr_compat.c
   M /branches/4.0/tests/random2.c
   M /branches/4.0/tests/reuse.c
   M /branches/4.0/tests/rnd_mode.c
   M /branches/4.0/tests/tabort_defalloc1.c
   M /branches/4.0/tests/tabort_defalloc2.c
   M /branches/4.0/tests/tabort_prec_max.c
   M /branches/4.0/tests/tabs.c
   M /branches/4.0/tests/tacos.c
   M /branches/4.0/tests/tacosh.c
   M /branches/4.0/tests/tadd.c
   M /branches/4.0/tests/tadd1sp.c
   M /branches/4.0/tests/tadd_d.c
   M /branches/4.0/tests/tadd_ui.c
   M /branches/4.0/tests/tagm.c
   M /branches/4.0/tests/tai.c
   M /branches/4.0/tests/talloc-cache.c
   M /branches/4.0/tests/talloc.c
   M /branches/4.0/tests/tasin.c
   M /branches/4.0/tests/tasinh.c
   M /branches/4.0/tests/tassert.c
   M /branches/4.0/tests/tatan.c
   M /branches/4.0/tests/tatanh.c
   M /branches/4.0/tests/taway.c
   M /branches/4.0/tests/tbeta.c
   M /branches/4.0/tests/tbuildopt.c
   M /branches/4.0/tests/tcan_round.c
   M /branches/4.0/tests/tcbrt.c
   M /branches/4.0/tests/tcheck.c
   M /branches/4.0/tests/tcmp.c
   M /branches/4.0/tests/tcmp2.c
   M /branches/4.0/tests/tcmp_d.c
   M /branches/4.0/tests/tcmp_ld.c
   M /branches/4.0/tests/tcmp_ui.c
   M /branches/4.0/tests/tcmpabs.c
   M /branches/4.0/tests/tcomparisons.c
   M /branches/4.0/tests/tconst_catalan.c
   M /branches/4.0/tests/tconst_euler.c
   M /branches/4.0/tests/tconst_log2.c
   M /branches/4.0/tests/tconst_pi.c
   M /branches/4.0/tests/tcopysign.c
   M /branches/4.0/tests/tcos.c
   M /branches/4.0/tests/tcosh.c
   M /branches/4.0/tests/tcot.c
   M /branches/4.0/tests/tcoth.c
   M /branches/4.0/tests/tcsc.c
   M /branches/4.0/tests/tcsch.c
   M /branches/4.0/tests/td_div.c
   M /branches/4.0/tests/td_sub.c
   M /branches/4.0/tests/tdigamma.c
   M /branches/4.0/tests/tdim.c
   M /branches/4.0/tests/tdiv.c
   M /branches/4.0/tests/tdiv_d.c
   M /branches/4.0/tests/tdiv_ui.c
   M /branches/4.0/tests/teint.c
   M /branches/4.0/tests/teq.c
   M /branches/4.0/tests/terandom.c
   M /branches/4.0/tests/terandom_chisq.c
   M /branches/4.0/tests/terf.c
   M /branches/4.0/tests/tests.c
   M /branches/4.0/tests/texceptions.c
   M /branches/4.0/tests/texp.c
   M /branches/4.0/tests/texp10.c
   M /branches/4.0/tests/texp2.c
   M /branches/4.0/tests/texpm1.c
   M /branches/4.0/tests/tfactorial.c
   M /branches/4.0/tests/tfits.c
   M /branches/4.0/tests/tfma.c
   M /branches/4.0/tests/tfmma.c
   M /branches/4.0/tests/tfmod.c
   M /branches/4.0/tests/tfms.c
   M /branches/4.0/tests/tfpif.c
   M /branches/4.0/tests/tfprintf.c
   M /branches/4.0/tests/tfrac.c
   M /branches/4.0/tests/tfrexp.c
   M /branches/4.0/tests/tgamma.c
   M /branches/4.0/tests/tgamma_inc.c
   M /branches/4.0/tests/tgeneric.c
   M /branches/4.0/tests/tgeneric_ui.c
   M /branches/4.0/tests/tget_d.c
   M /branches/4.0/tests/tget_d_2exp.c
   M /branches/4.0/tests/tget_f.c
   M /branches/4.0/tests/tget_flt.c
   M /branches/4.0/tests/tget_ld_2exp.c
   M /branches/4.0/tests/tget_q.c
   M /branches/4.0/tests/tget_set_d64.c
   M /branches/4.0/tests/tget_sj.c
   M /branches/4.0/tests/tget_str.c
   M /branches/4.0/tests/tget_z.c
   M /branches/4.0/tests/tgmpop.c
   M /branches/4.0/tests/tgrandom.c
   M /branches/4.0/tests/thyperbolic.c
   M /branches/4.0/tests/thypot.c
   M /branches/4.0/tests/tinits.c
   M /branches/4.0/tests/tinp_str.c
   M /branches/4.0/tests/tinternals.c
   M /branches/4.0/tests/tisnan.c
   M /branches/4.0/tests/tisqrt.c
   M /branches/4.0/tests/tj0.c
   M /branches/4.0/tests/tj1.c
   M /branches/4.0/tests/tjn.c
   M /branches/4.0/tests/tl2b.c
   M /branches/4.0/tests/tlgamma.c
   M /branches/4.0/tests/tli2.c
   M /branches/4.0/tests/tlngamma.c
   M /branches/4.0/tests/tlog.c
   M /branches/4.0/tests/tlog10.c
   M /branches/4.0/tests/tlog1p.c
   M /branches/4.0/tests/tlog2.c
   M /branches/4.0/tests/tlog_ui.c
   M /branches/4.0/tests/tmin_prec.c
   M /branches/4.0/tests/tminmax.c
   M /branches/4.0/tests/tmodf.c
   M /branches/4.0/tests/tmul.c
   M /branches/4.0/tests/tmul_2exp.c
   M /branches/4.0/tests/tmul_d.c
   M /branches/4.0/tests/tmul_ui.c
   M /branches/4.0/tests/tnext.c
   M /branches/4.0/tests/tnrandom.c
   M /branches/4.0/tests/tnrandom_chisq.c
   M /branches/4.0/tests/tout_str.c
   M /branches/4.0/tests/toutimpl.c
   M /branches/4.0/tests/tpow.c
   M /branches/4.0/tests/tpow3.c
   M /branches/4.0/tests/tpow_all.c
   M /branches/4.0/tests/tpow_z.c
   M /branches/4.0/tests/tprintf.c
   M /branches/4.0/tests/trandom.c
   M /branches/4.0/tests/trandom_deviate.c
   M /branches/4.0/tests/trec_sqrt.c
   M /branches/4.0/tests/tremquo.c
   M /branches/4.0/tests/trint.c
   M /branches/4.0/tests/trndna.c
   M /branches/4.0/tests/troot.c
   M /branches/4.0/tests/trootn_ui.c
   M /branches/4.0/tests/tround_prec.c
   M /branches/4.0/tests/tsec.c
   M /branches/4.0/tests/tsech.c
   M /branches/4.0/tests/tset.c
   M /branches/4.0/tests/tset_d.c
   M /branches/4.0/tests/tset_exp.c
   M /branches/4.0/tests/tset_f.c
   M /branches/4.0/tests/tset_float128.c
   M /branches/4.0/tests/tset_ld.c
   M /branches/4.0/tests/tset_q.c
   M /branches/4.0/tests/tset_si.c
   M /branches/4.0/tests/tset_sj.c
   M /branches/4.0/tests/tset_str.c
   M /branches/4.0/tests/tset_z.c
   M /branches/4.0/tests/tset_z_exp.c
   M /branches/4.0/tests/tsgn.c
   M /branches/4.0/tests/tsi_op.c
   M /branches/4.0/tests/tsin.c
   M /branches/4.0/tests/tsin_cos.c
   M /branches/4.0/tests/tsinh.c
   M /branches/4.0/tests/tsinh_cosh.c
   M /branches/4.0/tests/tsprintf.c
   M /branches/4.0/tests/tsqr.c
   M /branches/4.0/tests/tsqrt.c
   M /branches/4.0/tests/tsqrt_ui.c
   M /branches/4.0/tests/tstckintc.c
   M /branches/4.0/tests/tstdint.c
   M /branches/4.0/tests/tstrtofr.c
   M /branches/4.0/tests/tsub.c
   M /branches/4.0/tests/tsub1sp.c
   M /branches/4.0/tests/tsub_d.c
   M /branches/4.0/tests/tsub_ui.c
   M /branches/4.0/tests/tsubnormal.c
   M /branches/4.0/tests/tsum.c
   M /branches/4.0/tests/tswap.c
   M /branches/4.0/tests/ttan.c
   M /branches/4.0/tests/ttanh.c
   M /branches/4.0/tests/ttrunc.c
   M /branches/4.0/tests/tui_div.c
   M /branches/4.0/tests/tui_pow.c
   M /branches/4.0/tests/tui_sub.c
   M /branches/4.0/tests/turandom.c
   M /branches/4.0/tests/tvalist.c
   M /branches/4.0/tests/tversion.c
   M /branches/4.0/tests/ty0.c
   M /branches/4.0/tests/ty1.c
   M /branches/4.0/tests/tyn.c
   M /branches/4.0/tests/tzeta.c
   M /branches/4.0/tests/tzeta_ui.c
   M /branches/4.0/tools/bench/benchtime.h
   M /branches/4.0/tools/bench/mpfrbench.c
   M /branches/4.0/tools/get_patches.sh
   M /branches/4.0/tools/mbench/generate.c
   M /branches/4.0/tools/mbench/mfv5-arprec.cc
   M /branches/4.0/tools/mbench/mfv5-cln.cc
   M /branches/4.0/tools/mbench/mfv5-crlibm.cc
   M /branches/4.0/tools/mbench/mfv5-libc.cc
   M /branches/4.0/tools/mbench/mfv5-lidia.cc
   M /branches/4.0/tools/mbench/mfv5-mpf.cc
   M /branches/4.0/tools/mbench/mfv5-mpfr.cc
   M /branches/4.0/tools/mbench/mfv5-ntl.cc
   M /branches/4.0/tools/mbench/mfv5-pari.cc
   M /branches/4.0/tools/mbench/mfv5-void.cc
   M /branches/4.0/tools/mbench/mfv5.cc
   M /branches/4.0/tools/mbench/mfv5.h
   M /branches/4.0/tools/mbench/mpfr-gfx.c
   M /branches/4.0/tools/mbench/mpfr-v4.c
   M /branches/4.0/tools/mbench/mpfr-v6.c
   M /branches/4.0/tools/mbench/timp.h
   M /branches/4.0/tools/timings-mpfr.c
   M /branches/4.0/tune/bidimensional_sample.c
   M /branches/4.0/tune/speed.c
   M /branches/4.0/tune/tuneup.c

Updated the www.gnu.org URL's (http → https) on all the files with:
  perl -pi -e 's,http://www.gnu.org/,https://www.gnu.org/,g' **/*(.)
under zsh.
------------------------------------------------------------------------
r13371 | vlefevre | 2019-01-07 13:35:33 +0000 (Mon, 07 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/src/Makefile.am

[src/Makefile.am] Updated libmpfr_la_LDFLAGS for MPFR 4.0.2.
------------------------------------------------------------------------
r13370 | vlefevre | 2019-01-07 13:22:53 +0000 (Mon, 07 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/VERSION
   M /branches/4.0/configure.ac
   M /branches/4.0/doc/mpfr.texi
   M /branches/4.0/src/mpfr.h
   M /branches/4.0/src/version.c

Updated version to 4.0.2-rc1.
------------------------------------------------------------------------
r13366 | vlefevre | 2019-01-07 09:39:52 +0000 (Mon, 07 Jan 2019) | 14 lines
Changed paths:
   M /branches/4.0/src/strtofr.c
   M /branches/4.0/tests/tstrtofr.c

[src/strtofr.c] Fixed various issues. In particular, the error analysis
  with associated code was incorrect (due to the bad correction r8384
  of a past bug, later really fixed in r11056). Also adapted the code
  to work with small-size limbs.
[tests/tstrtofr.c] Added tests, including random tests. In particular,
  some part of the code was tested only on hard-to-round cases, meaning
  that some potential issues could not be detected (intermediate results
  were thrown out due to the next Ziv iteration). Moreover, in case of
  failure of some particular test, output the probable cause of this
  failure (GCC bug 86554) with a workaround.
(merged changesets associated with these files r12566-13306,13364-13365
from the trunk)
Note: There may still remain issues with mpfr_strtofr, to be checked
later. At least, the tests do not fail.
------------------------------------------------------------------------
r13363 | vlefevre | 2019-01-04 12:11:10 +0000 (Fri, 04 Jan 2019) | 3 lines
Changed paths:
   M /branches/4.0/src/mpfr-impl.h

[src/mpfr-impl.h] Added a comment with a warning concerning the meaning
of MPFR_EXP_FSPEC (corresponding to the merge of mpfr-impl.h r13299
from the trunk; the other part of this commit with be merged later).
------------------------------------------------------------------------
r13362 | vlefevre | 2019-01-01 21:18:11 +0000 (Tue, 01 Jan 2019) | 1 line
Changed paths:
   M /branches/4.0/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13360 | vlefevre | 2019-01-01 21:02:47 +0000 (Tue, 01 Jan 2019) | 4 lines
Changed paths:
   M /branches/4.0/BUGS
   M /branches/4.0/INSTALL
   M /branches/4.0/Makefile.am
   M /branches/4.0/NEWS
   M /branches/4.0/README
   M /branches/4.0/TODO
   M /branches/4.0/acinclude.m4
   M /branches/4.0/configure.ac
   M /branches/4.0/doc/FAQ.html
   M /branches/4.0/doc/Makefile.am
   M /branches/4.0/doc/README.dev
   M /branches/4.0/doc/check-typography
   M /branches/4.0/doc/faq.xsl
   M /branches/4.0/doc/mpfr.texi
   M /branches/4.0/examples/can_round.c
   M /branches/4.0/examples/divworst.c
   M /branches/4.0/examples/rndo-add.c
   M /branches/4.0/examples/sample.c
   M /branches/4.0/examples/version.c
   M /branches/4.0/src/Makefile.am
   M /branches/4.0/src/abort_prec_max.c
   M /branches/4.0/src/acos.c
   M /branches/4.0/src/acosh.c
   M /branches/4.0/src/add.c
   M /branches/4.0/src/add1.c
   M /branches/4.0/src/add1sp.c
   M /branches/4.0/src/add_d.c
   M /branches/4.0/src/add_ui.c
   M /branches/4.0/src/agm.c
   M /branches/4.0/src/ai.c
   M /branches/4.0/src/amd/amdfam10/mparam.h
   M /branches/4.0/src/amd/athlon/mparam.h
   M /branches/4.0/src/amd/k8/mparam.h
   M /branches/4.0/src/arm/mparam.h
   M /branches/4.0/src/asin.c
   M /branches/4.0/src/asinh.c
   M /branches/4.0/src/atan.c
   M /branches/4.0/src/atan2.c
   M /branches/4.0/src/atanh.c
   M /branches/4.0/src/bernoulli.c
   M /branches/4.0/src/beta.c
   M /branches/4.0/src/buildopt.c
   M /branches/4.0/src/cache.c
   M /branches/4.0/src/cbrt.c
   M /branches/4.0/src/check.c
   M /branches/4.0/src/clear.c
   M /branches/4.0/src/clears.c
   M /branches/4.0/src/cmp.c
   M /branches/4.0/src/cmp2.c
   M /branches/4.0/src/cmp_abs.c
   M /branches/4.0/src/cmp_d.c
   M /branches/4.0/src/cmp_ld.c
   M /branches/4.0/src/cmp_si.c
   M /branches/4.0/src/cmp_ui.c
   M /branches/4.0/src/comparisons.c
   M /branches/4.0/src/const_catalan.c
   M /branches/4.0/src/const_euler.c
   M /branches/4.0/src/const_log2.c
   M /branches/4.0/src/const_pi.c
   M /branches/4.0/src/constant.c
   M /branches/4.0/src/copysign.c
   M /branches/4.0/src/cos.c
   M /branches/4.0/src/cosh.c
   M /branches/4.0/src/cot.c
   M /branches/4.0/src/coth.c
   M /branches/4.0/src/csc.c
   M /branches/4.0/src/csch.c
   M /branches/4.0/src/d_div.c
   M /branches/4.0/src/d_sub.c
   M /branches/4.0/src/digamma.c
   M /branches/4.0/src/dim.c
   M /branches/4.0/src/div.c
   M /branches/4.0/src/div_2exp.c
   M /branches/4.0/src/div_2si.c
   M /branches/4.0/src/div_2ui.c
   M /branches/4.0/src/div_d.c
   M /branches/4.0/src/div_ui.c
   M /branches/4.0/src/dump.c
   M /branches/4.0/src/eint.c
   M /branches/4.0/src/eq.c
   M /branches/4.0/src/erandom.c
   M /branches/4.0/src/erf.c
   M /branches/4.0/src/erfc.c
   M /branches/4.0/src/exceptions.c
   M /branches/4.0/src/exp.c
   M /branches/4.0/src/exp10.c
   M /branches/4.0/src/exp2.c
   M /branches/4.0/src/exp3.c
   M /branches/4.0/src/exp_2.c
   M /branches/4.0/src/expm1.c
   M /branches/4.0/src/extract.c
   M /branches/4.0/src/factorial.c
   M /branches/4.0/src/fits_intmax.c
   M /branches/4.0/src/fits_s.h
   M /branches/4.0/src/fits_sint.c
   M /branches/4.0/src/fits_slong.c
   M /branches/4.0/src/fits_sshort.c
   M /branches/4.0/src/fits_u.h
   M /branches/4.0/src/fits_uint.c
   M /branches/4.0/src/fits_uintmax.c
   M /branches/4.0/src/fits_ulong.c
   M /branches/4.0/src/fits_ushort.c
   M /branches/4.0/src/fma.c
   M /branches/4.0/src/fmma.c
   M /branches/4.0/src/fms.c
   M /branches/4.0/src/fpif.c
   M /branches/4.0/src/frac.c
   M /branches/4.0/src/free_cache.c
   M /branches/4.0/src/frexp.c
   M /branches/4.0/src/gamma.c
   M /branches/4.0/src/gamma_inc.c
   M /branches/4.0/src/gammaonethird.c
   M /branches/4.0/src/gen_inverse.h
   M /branches/4.0/src/generic/coverage/mparam.h
   M /branches/4.0/src/generic/mparam.h
   M /branches/4.0/src/get_d.c
   M /branches/4.0/src/get_d64.c
   M /branches/4.0/src/get_exp.c
   M /branches/4.0/src/get_f.c
   M /branches/4.0/src/get_float128.c
   M /branches/4.0/src/get_flt.c
   M /branches/4.0/src/get_ld.c
   M /branches/4.0/src/get_q.c
   M /branches/4.0/src/get_si.c
   M /branches/4.0/src/get_sj.c
   M /branches/4.0/src/get_str.c
   M /branches/4.0/src/get_ui.c
   M /branches/4.0/src/get_uj.c
   M /branches/4.0/src/get_z.c
   M /branches/4.0/src/get_z_exp.c
   M /branches/4.0/src/gmp_op.c
   M /branches/4.0/src/grandom.c
   M /branches/4.0/src/hppa/mparam.h
   M /branches/4.0/src/hypot.c
   M /branches/4.0/src/ia64/mparam.h
   M /branches/4.0/src/ieee_floats.h
   M /branches/4.0/src/init.c
   M /branches/4.0/src/init2.c
   M /branches/4.0/src/inits.c
   M /branches/4.0/src/inits2.c
   M /branches/4.0/src/inp_str.c
   M /branches/4.0/src/int_ceil_log2.c
   M /branches/4.0/src/invert_limb.h
   M /branches/4.0/src/invsqrt_limb.h
   M /branches/4.0/src/isinf.c
   M /branches/4.0/src/isinteger.c
   M /branches/4.0/src/isnan.c
   M /branches/4.0/src/isnum.c
   M /branches/4.0/src/isqrt.c
   M /branches/4.0/src/isregular.c
   M /branches/4.0/src/iszero.c
   M /branches/4.0/src/jn.c
   M /branches/4.0/src/jyn_asympt.c
   M /branches/4.0/src/li2.c
   M /branches/4.0/src/lngamma.c
   M /branches/4.0/src/log.c
   M /branches/4.0/src/log10.c
   M /branches/4.0/src/log1p.c
   M /branches/4.0/src/log2.c
   M /branches/4.0/src/log_ui.c
   M /branches/4.0/src/logging.c
   M /branches/4.0/src/min_prec.c
   M /branches/4.0/src/minmax.c
   M /branches/4.0/src/mips/mparam.h
   M /branches/4.0/src/modf.c
   M /branches/4.0/src/mp_clz_tab.c
   M /branches/4.0/src/mparam_h.in
   M /branches/4.0/src/mpf2mpfr.h
   M /branches/4.0/src/mpfr-cvers.h
   M /branches/4.0/src/mpfr-gmp.c
   M /branches/4.0/src/mpfr-gmp.h
   M /branches/4.0/src/mpfr-impl.h
   M /branches/4.0/src/mpfr-intmax.h
   M /branches/4.0/src/mpfr-longlong.h
   M /branches/4.0/src/mpfr-mini-gmp.c
   M /branches/4.0/src/mpfr-mini-gmp.h
   M /branches/4.0/src/mpfr-sassert.h
   M /branches/4.0/src/mpfr-thread.h
   M /branches/4.0/src/mpfr.h
   M /branches/4.0/src/mpn_exp.c
   M /branches/4.0/src/mul.c
   M /branches/4.0/src/mul_2exp.c
   M /branches/4.0/src/mul_2si.c
   M /branches/4.0/src/mul_2ui.c
   M /branches/4.0/src/mul_d.c
   M /branches/4.0/src/mul_ui.c
   M /branches/4.0/src/mulders.c
   M /branches/4.0/src/neg.c
   M /branches/4.0/src/next.c
   M /branches/4.0/src/nrandom.c
   M /branches/4.0/src/odd_p.c
   M /branches/4.0/src/out_str.c
   M /branches/4.0/src/pool.c
   M /branches/4.0/src/pow.c
   M /branches/4.0/src/pow_si.c
   M /branches/4.0/src/pow_ui.c
   M /branches/4.0/src/pow_z.c
   M /branches/4.0/src/powerof2.c
   M /branches/4.0/src/powerpc32/mparam.h
   M /branches/4.0/src/powerpc64/mparam.h
